View Issue Details

IDProjectCategoryView StatusLast Update
0000136XdebugUncategorizedpublic2006-02-21 21:43
Reportermccabe Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionreopened 
Summary0000136: stack_get does not conform to DBGp
DescriptionAccording to the DBGp documentation, stack_get reply should have a 'type' property. This is not included in replies from XDebug (CVS rom 2005-07-31)
Additional InformationCurrently it seems like I have to parse the filename property for the "(xx) :eval'd code)" string to figure out wether it's a file or eval frame.
TagsNo tags attached.
Operating SystemLinux
PHP Version4.3.11

Activities

derick

2005-08-04 15:04

administrator   ~0000275

Fixed in CVS, thanks for the report.

mccabe

2005-08-08 18:10

reporter   ~0000277

After a cvs update, I do get the type property, but if I step through code that enteres an eval() statement, the stack frames reported are not of type 'eval'.

Instead I get a filename that decodes to:
file:///home/linus/public_html/tests/classes/subclass.php(24): eval'd code

derick

2006-02-21 21:43

administrator   ~0000368

Fixed in CVS now, after adding support for virtual files for eval'ed statements.

Issue History

Date Modified Username Field Change
2005-07-31 14:42 mccabe New Issue
2005-08-04 15:04 derick Status new => closed
2005-08-04 15:04 derick Note Added: 0000275
2005-08-08 18:10 mccabe Status closed => feedback
2005-08-08 18:10 mccabe Resolution open => reopened
2005-08-08 18:10 mccabe Note Added: 0000277
2005-12-30 17:09 derick PHP Version 4.3.10 => 4.3.11
2005-12-30 17:09 derick Xdebug Version 2.0-dev => 1.3.2
2005-12-30 17:09 derick Assigned To => derick
2005-12-30 17:09 derick Status feedback => assigned
2006-01-17 23:24 derick Xdebug Version 1.3.2 => 2.0.0rc1-dev
2006-01-17 23:24 derick Severity trivial => minor
2006-02-21 21:43 derick Status assigned => closed
2006-02-21 21:43 derick Note Added: 0000368
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)
2020-03-12 16:35 derick Category Usage problems (Wrong Results) => Variable Display
2020-03-12 16:38 derick Category Variable Display => Uncategorized